# module RSS::Maker::AtomLink

### Public Instance Methods

to_feed(feed, current) click to toggle source

    # File lib/rss/maker/atom.rb, line 109
    def to_feed(feed, current)
      link = feed.class::Link.new
      set = setup_values(link)
      if set
        current.links << link
        set_parent(link, current)
        setup_other_elements(feed)
      else
        raise NotSetError.new(self.class.not_set_name,
                              not_set_required_variables)
      end
    end

### Private Instance Methods

required_variable_names() click to toggle source

    # File lib/rss/maker/atom.rb, line 123
    def required_variable_names
      %w(href)
    end